# Go OpenWeather
This is a simple (but messy) Go project I am working on in my spare time!

It pulls JSON data from [here](https://openweathermap.org/) and uses 'encoding/json' to sort the data!

## Usage
You will need a OpenWeather API-Key. This can be done by opening a free account and creating a key!
```
./go-weather -h
```
Will give:
```
Usage of go-weather:
  -api string
    	Enter Code e.g. uk, us etc... Default(none) (default "none")
  -city string
    	Enter city e.g. London, Glasgow etc... (Default: London) (default "London")
  -code string
    	Enter Code e.g. uk, us etc... (Default: uk) (default "uk")

```

```
./go-weather -api=API-KEY -city=Glasgow -code=uk
```
Will give:
```
02/17/2022 10:17
This will print text in bold white.
Location: Glasgow, GB
Weather: Rain (light rain)
Temp: 5.64°C (Feels like: 0.78°C)
(Min: 3.17°C, Max: 6.84°C)
Sunrise: 07:37	Sunset: 17:24
```
